package it.holhoconverter;

import java.awt.Color;

public class ColorManager
{
	public Color nimbusOrange;
	public Color nimbusBlueGrey;
	public Color nimbusBase;
	public Color control;
	public Color nimbusLightBackground;
	public Color nimbusFocus;
	public Color text;
	public Color nimbusDisabledText;
	public Color textForeground;
	public Color nimbusSelectionBackground;
	public Color Separator_foreground;
	public Color bottomPanel;
	public Color hyperLinks;

	public ColorManager()
	{
		nimbusOrange = getColorByKey("nimbusOrange");
		nimbusBlueGrey = getColorByKey("nimbusBlueGrey");
		nimbusBase = getColorByKey("nimbusBase");
		control = getColorByKey("control");
		nimbusLightBackground = getColorByKey("nimbusLightBackground");
		nimbusFocus = getColorByKey("nimbusFocus");
		text = getColorByKey("text");
		nimbusDisabledText = getColorByKey("nimbusDisabledText");
		textForeground = getColorByKey("textForeground");
		nimbusSelectionBackground = getColorByKey("nimbusSelectionBackground");
		Separator_foreground = getColorByKey("Separator_foreground");
		bottomPanel = getColorByKey("bottomPanel");
		hyperLinks = getColorByKey("hyperLinks");
	}
	
	private Color getColorByKey(String key)
	{
		String hex = HolhoConverter.instance.settings.getInternalSettingsValue(key);
		if(hex != null && hex.length() == 6)
			return new Color(Integer.decode("0x" + hex));
		
		return new Color(0xFFFFFF);
	}
}
