package it.holhoconverter;

import it.holhoconverter.utils.Logger;

import java.io.InputStream;

import javax.swing.ImageIcon;

public class Resources
{
	public static InputStream getInputStream(String fileName)
	{
		InputStream input = null;
		
		try
		{
			input = HolhoConverter.instance.getClass().getResourceAsStream(HolhoConverter.RES_PKG + fileName);	
		}
		catch(Exception e)
		{
			Logger.log(Logger.GRAVE, "Error on loading resource : " + HolhoConverter.RES_PKG + fileName);
			e.printStackTrace();
		}
	
		return input;
	}
	
	public static ImageIcon getIcon(String fileName)
	{
		return new ImageIcon(HolhoConverter.instance.getClass().getResource(HolhoConverter.RES_PKG + fileName));
	}
}
