package it.holhoconverter.converter;

public enum FFMpegFormats
{
    _MP4("mp4", "MPEG-4 (.mp4)"),
    _WEBM("webm", "WebM (.webm)");
    
    public String extension;
    public String name;
    
    FFMpegFormats(String extension, String name)
    {
        this.extension = extension;	
        this.name = name;
    }
    
    public static String[] getNames()
    {
    	String[] names = new String[values().length];
    	for(int i = 0; i < values().length; i++)
    	{
    		names[i] = values()[i].name;
    	}
    	return names;
    }
    
    public static FFMpegFormats getFormat(String key)
    {
    	for(int i = 0; i < values().length; i++)
    	{
    		if(values()[i].name.equals(key))
    			return values()[i];
    	}
    	
    	return null;
    }
}
