package it.holhoconverter.converter;

import it.holhoconverter.utils.DirUtils;
import it.holhoconverter.utils.DirUtils.OS;

import java.io.File;

public class VideoInput 
{
	 public File file;
	 
     public VideoInput(File file)
     {
    	 this.file = file;
     }
     
     public VideoInput(String path)
     {
    	 this.file = new File(path);
     }
     
     public String[] getFFMpegCommands()
     {
         return new String[] { "-i",DirUtils.getPlatform() == OS.macos ? file.getAbsolutePath() : ("\"" + file.getAbsolutePath() + "\"") };
     }
}
